Bug 147819 - Warning about incorrect LVM locking library
Warning about incorrect LVM locking library
Status: CLOSED NEXTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: lvm2-cluster (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christine Caulfield
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-11 12:09 EST by Derek Anderson
Modified: 2010-01-11 23:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-08 13:10:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Anderson 2005-02-11 12:09:37 EST
Description of problem:
This started appearing in the syslog after a clvmd start not long ago:

Feb 11 11:04:58 link-10 clvmd: Cluster LVM daemon started - connected
to CMAN
Feb 11 11:04:58 link-10 lvm[4150]: Incorrect LVM locking library
specified in lvm.conf, cluster operations may not work.

My lvm.conf has the lines:
    locking_type = 2
    locking_library = "/usr/lib/liblvm2clusterlock.so"

And everything appears to work fine.  Why the warning?

Version-Release number of selected component (if applicable):
lvm2-2.01.04-1.0.RHEL4
lvm2-cluster-2.01.04-1.0.RHEL4

How reproducible:


Steps to Reproduce:
1. Start clvmd, look in log file.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Christine Caulfield 2005-02-14 04:08:31 EST
clvmd assumed that the library was in the normal library search path
or pointed to by the config option "library_dir".

Made it a bit more tolerant:

Checking in daemons/clvmd/lvm-functions.c;
/cvs/lvm2/LVM2/daemons/clvmd/lvm-functions.c,v  <--  lvm-functions.c
new revision: 1.9; previous revision: 1.8
done
Comment 2 Derek Anderson 2005-03-08 13:10:04 EST
Verified in lvm2-cluster-2.01.06-1.1.RHEL4
lvm2-2.01.05-1.0.RHEL4.

Now simply says:
clvmd: Cluster LVM daemon started - connected to CMAN

Note You need to log in before you can comment on or make changes to this bug.